Skip to main content
GET
Check gate access

Authorizations

Authorization
string
header
required

Use a JWT bearer token or a Veryfront API key in the Authorization header.

Path Parameters

gate
string
required

Gate name such as custom_domains, code_export, collaborators, or projects

Query Parameters

currentCount
integer | null

Current resource count in camelCase form

Required range: x >= 0
Example:

2

current_count
integer | null

Current resource count in snake_case form

Required range: x >= 0
Example:

2

project_reference
string

Project UUID or slug for project-scoped gates

projectId
string

Deprecated project ID or slug alias. Use project_reference.

project_id
string

Deprecated project ID or slug alias. Use project_reference.

Response

Gate check result

allowed
boolean
required

Whether the authenticated user can access the gate

requiredTier
string

Tier required when access is denied

limit
number

Numeric limit for count-based gates

currentCount
number

Current count considered for count-based gates